<div class="row">
  <div class="col-md-3"></div>
  <div class="col-md-6">
    <form *ngIf="!loggedin">
      <fieldset>
        <legend>Login</legend>
        <div *ngIf="error" class="alert alert-danger" role="alert">
          {{ error }}
        </div>
        <div class="form-group">
          <label for="exampleInputEmail1" for="email">Email address</label>
          <input
            type="email"
            class="form-control"
            id="email"
            name="email"
            aria-describedby="emailHelp"
            placeholder="Enter email"
            #email
          />
          <small id="emailHelp" class="form-text text-muted"
            >We'll never share your email with anyone else.</small
          >
        </div>
        <div class="form-group">
          <label for="password">Password</label>
          <input
            type="password"
            class="form-control"
            id="password"
            placeholder="Password"
            name="password"
            #password
          />
        </div>

        <button
          type="submit"
          class="btn btn-primary"
          (click)="login(email.value, password.value)"
        >
          Login
        </button>
      </fieldset>
    </form>
    <br />
    <a [routerLink]="['/create']">
      Create Account
    </a>
  </div>
  <div class="col-md-3"></div>
</div>
